For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Contact object
          • GET/contacts
          • POST/contacts
          • GET/contacts/{id}
          • GET/contacts/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsContacts

/contacts

POST
/ticketing/v1/contacts
POST
/api/ticketing/v1/contacts
$curl -X POST https://api.merge.dev/api/ticketing/v1/contacts \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "17a54124-287f-494d-965e-3c5b330c9a68",
4 "remote_id": "19202938",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "name": "Cousin Greg",
8 "email_address": "greg@waystar-royco.com",
9 "phone_number": "5108890293",
10 "details": "Executive Assistant to Tom Wambsgans",
11 "account": "28b54125-287f-494d-965e-3c5b330c9a68",
12 "remote_was_deleted": true,
13 "field_mappings": {
14 "organization_defined_targets": {
15 "custom_key": "custom_value"
16 },
17 "linked_account_defined_targets": {
18 "custom_key": "custom_value"
19 }
20 },
21 "remote_data": [
22 {
23 "path": "/platform-endpoint",
24 "data": null
25 }
26 ]
27 },
28 "warnings": [
29 {
30 "title": "Unrecognized Field",
31 "detail": "An unrecognized field, age, was passed in with request data.",
32 "problem_type": "UNRECOGNIZED_FIELD",
33 "source": {
34 "pointer": "/age"
35 },
36 "block_merge_link": true,
37 "raw_error": "string",
38 "error_code": 1
39 }
40 ],
41 "errors": [
42 {
43 "title": "Missing Required Field",
44 "detail": "custom_fields is a required field on model.",
45 "problem_type": "MISSING_REQUIRED_FIELD",
46 "source": {
47 "pointer": "/model/custom_fields"
48 },
49 "block_merge_link": true,
50 "raw_error": "string",
51 "error_code": 1
52 }
53 ],
54 "logs": [
55 {
56 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
57 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
58 "log_summary": {
59 "url": "www.exampleintegration.com/api/v1/exampleapi",
60 "method": "POST",
61 "status_code": 200
62 }
63 }
64 ]
65}

Creates a Contact object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/contacts

Next

/contacts/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Contact object is used to represent the customer, lead, or external user that a ticket is associated with.

Usage Example

TODO

Response

modelobject

Description

The Contact object is used to represent the customer, lead, or external user that a ticket is associated with.

Usage Example

TODO

warningslist of objects
errorslist of objects
logslist of objects